#!/usr/local/bin/perl
########################################################################
# PROGRAM: interface.pl
#
# Copyright (C), 2002
# Bridget McInnes,       bthomson@d.umn.edu
# Deodatta Y Bhoite,     bhoi0001@d.umn.edu
# Kailash Aurangabadkar, aura0011@d.umn.edu
# Nitin Agarwal,         agar0054@d.umn.edu
# Yanhua Li,             lixx0333@d.umn.edu
#
# University of Minnesota, Duluth
#
#
# USAGE:
#           %perl interface.pl
#
#
# The program is an interface to the package Minas::WebReader. The 
# package Minas::WebReader searches for the word on the Internet in 
# a unique way. It uses a combination of both search engine and a 
# spider to find sentences containing the specified words. The 
# interface program will prompt the user for word(s) and the number
# of sentences they wish to be returned. The program will print
# the sentences to standard out.  
#
# The words must be comma separated. If a boolean AND search is 
# desired the word must be separated with a +. For example:
#
#              save+earth,kennedy,computer+graphics
#
# Please note though this search is does not return very good results 
# and may not return all of the desired number of sentences
#
# If a large amount of sentences are to be returned the program may
# take a bit.
#
#
#######################################################################
use WebReader;

$oyster = Minas::WebReader->new;

print "Please choose an option: \n";
print "2 -> Get number of web pages returned of query word. \n";
print "1 -> Retrieve sentences containing query word. \n";
print "0 -> exit \n"; 

$option = <STDIN>;
chomp $option;

while($option != 0) {
    if($option == 1) {

        print "Please enter words you wish to query (comma separated,use + to AND words): ";
        my $word = <STDIN>; chomp $word;
	print "Please enter the number of sentences you wish returned \n";
	print "0 for all sentences to be returned : ";
        my $sentences = <STDIN>; chomp $sentences;
        %temp = $oyster->query($word, $sentences);
        foreach $t (sort keys %temp) {
	    print "$t: \n";
	    $count = 1;
	    for $i (0..$#{ $temp{$t} } ) {
		print "  $count : $temp{$t}[$i] \n";
		$count++;
	    }
        }
    }

    if($option == 2) {
	print "Please enter word: ";
	my $word = <STDIN>; chomp $word;
	my $count = $oyster->getquerynumber($word);

	print "$word: $count matches \n";
    }

    print "Please choose an option : \n";
    print "2 -> Get number of web pages returned of query word. \n";
    print "1 -> Retrieve sentences containing query word. \n";
    print "0 -> exit \n";
    $option = <STDIN>;
}  
